#! /bin/sh

if (test $1 = '--clean'); then
	if(test -e Makefile); then
		make clean
		make distclean
	fi
	rm -f ./ChangeLog
	rm -f ./AUTHORS
	rm -f ./NEWS
	rm -f ./COPYING
	rm -f ./INSTALL
	rm -f ./depcomp
	rm -f ./install-sh
	rm -f ./missing
	rm -f ./Makefile.in
	rm -f ./aclocal.m4
	rm -f ./configure
	rm -rf ./autom4te.cache
else
	echo "" > ./ChangeLog
	echo "Qumbetlian" > ./AUTHORS
	echo "Nothing new" > ./NEWS
	aclocal
	automake --add-missing
	autoconf
fi